--- old/usr/src/cmd/cmd-inet/usr.bin/pppd/plugins/passprompt.c	Mon Jan 21 16:28:07 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/pppd/plugins/passprompt.c	Mon Jan 21 16:28:07 2019
@@ -8,6 +8,11 @@
  *  as published by the Free Software Foundation; either version
  *  2 of the License, or (at your option) any later version.
  */
+
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <errno.h>
 #include <unistd.h>
 #include <fcntl.h>
@@ -70,7 +75,7 @@
 	argv[0] = promptprog;
 	argv[1] = user == NULL ? "" : user;
 	argv[2] = remote_name;
-	slprintf(fdstr, sizeof (fdstr), "%d", p[1]);
+	(void) slprintf(fdstr, sizeof (fdstr), "%d", p[1]);
 	argv[3] = fdstr;
 	argv[4] = NULL;
 	(void) execv(*argv, argv);
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipadm/ipadm.c	Mon Jan 21 16:28:08 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipadm/ipadm.c	Mon Jan 21 16:28:08 2019
@@ -22,7 +22,7 @@
 /*
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2017 Nexenta Systems, Inc.
- * Copyright 2017 Joyent, Inc.
+ * Copyright (c) 2018, Joyent, Inc.
  * Copyright 2017 Gary Mills
  * Copyright (c) 2016, Chris Fraire <cfraire@me.com>.
  */
@@ -1636,8 +1636,7 @@
 
 	if (if_info->ifi_cflags & IFIF_L3PROTECT)
 		ret = _B_TRUE;
-	if (if_info)
-		ipadm_free_if_info(if_info);
+	ipadm_free_if_info(if_info);
 	return (ret);
 }
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/ping/ping.c	Mon Jan 21 16:28:08 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ping/ping.c	Mon Jan 21 16:28:08 2019
@@ -38,7 +38,7 @@
  */
 
 /*
- * Copyright (c) 2017, Joyent, Inc.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <assert.h>
@@ -1989,7 +1989,7 @@
 						    progname, strerror(errno));
 					}
 					continue;
-				} if (cc > 0) {
+				} else if (cc > 0) {
 					check_reply(ai_dst, &in_msg, cc,
 					    udp_src_port);
 				}
--- old/usr/src/cmd/cmd-inet/usr.sbin/wificonfig/wificonfig.c	Mon Jan 21 16:28:08 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/wificonfig/wificonfig.c	Mon Jan 21 16:28:08 2019
@@ -23,7 +23,9 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -2531,7 +2533,7 @@
 				    B_FALSE);
 				free(section_id);
 				p_section = p_sectionbak;
-					continue;
+				continue;
 			}
 			p_section = p_section->section_next;
 		}
@@ -2751,8 +2753,9 @@
 			return (B_FALSE);
 		pae = plist->ael_head;
 		while (pae != NULL) {
+			ae_t *next = pae->ae_next;
 			free(pae);
-			pae = pae->ae_next;
+			pae = next;
 		}
 		plist->ael_head = plist->ael_tail = NULL;
 		plist->ael_argc = 0;
